Create group

POST
https://example.kaiten.ru/api/latest/company/groups
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
name
required
string
minLength: 1
maxLength: 512

Group name

permissions
integer

Group permissions

add_to_cards_and_spaces_enabled
boolean

Should add cards and spaces

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
name

string

Group name
permissions

integer

Group permissions
updated

string

Last update timestamp
created

string

Create date
id

integer

Group id
uid

string

Group uid
add_to_cards_and_spaces_enabled

boolean

Ability to add all users of the group to cards, placed in group spaces. Ability to filter logs by group in «Timesheets»
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io
  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/company/groups' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!